### Name: diveMove-package
### Title: Time depth recorder analysis
### Aliases: diveMove-package diveMove
### Keywords: package

### ** Examples

## read in data and create a TDR object
(sealX <- readTDR(system.file(file.path("data", "sealMK8.csv"),
                              package="diveMove")))
## Not run: plot(sealX)

## detect periods of activity, and calibrate depth, creating
## a 'TDRcalibrate' object
## Not run: (dcalib <- calibrateDepth(sealX))
(dcalib <- calibrateDepth(sealX, offset=3)) # zero-offset correct at 3 m

## plot dive number 100
## Not run: 
##D plot(extractDive(dcalib, 100))
##D ## plot dives 160 to the last one and show dive phases
##D plot(extractDive(dcalib, 160:max(getDAct(dcalib, "dive.id"))),
##D      phaseCol=getDPhaseLab(dcalib, 160:max(getDAct(dcalib, "dive.id"))))
## End(Not run)

## calibrate velocity
(vcalib <- calibrateVel(dcalib))

## Obtain dive statistics for all dives detected
dives <- diveStats(vcalib)
## See 'chron' for converting the time columns (1-3) to the desired
## output format
head(dives)

## Attendance table
att <- attendance(vcalib, TRUE)  # ignoring trivial aquatic activities
att <- attendance(vcalib, FALSE)  # taking them into account
## Add trip stamps to each dive
stamps <- stampDive(vcalib)
sumtab <- data.frame(stamps, dives)
head(sumtab)



